/// PREFS FUNCTIONS

// Returns the value of the flashblock.enabled pref
function isEnabled() {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                          .getService(Components.interfaces.nsIPrefBranch);

    return prefs.getBoolPref("flashblock.enabled");
}

// Sets the flashblock.enabled pref to the given boolean value
function setEnabled(enabled) {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                          .getService(Components.interfaces.nsIPrefBranch);

    return prefs.setBoolPref("flashblock.enabled", enabled);
}

// Returns the value of the flashblock.whitelist pref
function getWhitelistPref() {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                          .getService(Components.interfaces.nsIPrefBranch);

    if(prefs.getPrefType("flashblock.whitelist") == prefs.PREF_STRING)
	    return prefs.getCharPref("flashblock.whitelist");
	else
		return undefined;
}

// Set the flashblock.whitelist pref to the given string
function setWhitelistPref(prefStr) {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"]
                          .getService(Components.interfaces.nsIPrefBranch);

    prefs.setCharPref("flashblock.whitelist", prefStr);
}
